package pcc.chemicraft.gen;

/**
 * 鉱石の出現頻度のEnumです。
 * @author mozipi
 */
public enum EnumOreSpawnFrequency {

	HIGH(10),
	NORMAL(5),
	LOW(3),
	RARE(1);
	
	/**
	 * 鉱石の生成頻度
	 */
	private short frequency;
	
	/**
	 * @param par1 鉱石の生成頻度
	 */
	private EnumOreSpawnFrequency(int par1) {
		this.frequency = (short) par1;
	}
	
	/**
	 * 鉱石の生成頻度を返します
	 * @return 鉱石の生成頻度
	 */
	public short getFrequency() {
		return this.frequency;
	}
	
}
